Cyberduck Mountain Duck CLI

#5788 closed defect (fixed)

Windows enabled with "Hide extensions" cannot upload files with File Chooser

Reported by: davidfox Owned by: dkocher
Priority: high Milestone: 4.0.2
Component: interface Version: 4.0
Severity: critical Keywords: Windows hidden extensions upload chooser file type filetype
Cc: Architecture: Intel
Platform: Windows 7

Description

I am on Windows 7 now but I think this feature existed on past Windows versions. By default Windows 7 is installed with "Hide extensions for known file types" enabled. In Cyberduck 4.0 (8510) the File Chooser Dialog functionality will not upload files that Windows has hidden file extensions. Cyberduck "Show hidden files" is enabled if it makes any difference. For example I try to upload "test.htm" but after selecting the file displayed as "test" in the File Chooser Dialog it tries to upload "test" instead and fails.

Cyberduck drag-n-drop upload feature does not exihbit this problem. I drag over the "test" file icon and it uploads "test.htm" just fine.

Change History (4)

comment:1 Changed on Mar 16, 2011 at 7:04:21 AM by dkocher

  • Milestone set to 4.0.2

comment:2 Changed on Mar 16, 2011 at 9:19:31 PM by dkocher

#5783 closed as duplicate.

comment:3 Changed on Mar 18, 2011 at 4:31:09 PM by yla

  • Severity changed from major to critical

comment:4 Changed on Mar 21, 2011 at 1:41:26 PM by yla

  • Resolution set to fixed
  • Status changed from new to closed

In r8588. This is a non-trivial issue as we read the filename directly from the listview item. I did not find a way to get access to the backing PIDL. Also refer to my SO question. As a workaround the current solution forces the dialog to show the extension independent of the Windows Explorer setting. The fix will be included in the next snapshot build.

Thanks for reporting this!

Note: See TracTickets for help on using tickets.
swiss made software